#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,216,288,360,432,936,1008,1080,1152,1440,1944,3888
 * N : 25,216,288,360,432,936,1008,1080,1152,1440,1944,3888
 * NB : 4,9,9,32,27,18,36,72,72,72,72,72
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 120) (nb_) = 4; \
   else if ((n_) < 324) (nb_) = 9; \
   else if ((n_) < 396) (nb_) = 32; \
   else if ((n_) < 684) (nb_) = 27; \
   else if ((n_) < 972) (nb_) = 18; \
   else if ((n_) < 1044) (nb_) = 36; \
   else (nb_) = 72; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
